#pragma once

#include "ActorInterface.h"
#include "wascommand.h"
#include "WASActor.h"


class CWASSetLang: public CWASCommand
{
public:
	CWASSetLang(CWASActor *pActor);
	~CWASSetLang(void);
	void ExecuteAsync(void);	

	void SetParameter(LPCWSTR strLang)
	{
		m_strLang = strLang;
	}

private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);	

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);
private:
	NE_LANG_DATA m_LangData;
	WSTRING m_strLang;



};
